Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1056464 - python-cpopen-1.3 is not providing obsoleted package.
Summary: python-cpopen-1.3 is not providing obsoleted package.
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: python-cpopen
Version: 19
Hardware: Unspecified
OS: Unspecified
unspecified
urgent
Target Milestone: ---
Assignee: Yaniv Bronhaim
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 1056470
TreeView+ depends on / blocked
 
Reported: 2014-01-22 09:28 UTC by Sandro Bonazzola
Modified: 2015-01-10 10:48 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
: 1056470 (view as bug list)
Environment:
Last Closed: 2015-01-10 10:48:32 UTC


Attachments (Terms of Use)

Description Sandro Bonazzola 2014-01-22 09:28:06 UTC
python-cpopen-1.3 is not providing obsoleted package.

In order to reproduce, enable ovirt-stable repository and:

yum install vdsm
--> Processing Dependency: vdsm-python-cpopen for package: vdsm-xmlrpc-4.13.2-1.fc19.noarch
Package vdsm-python-cpopen is obsoleted by python-cpopen, but obsoleting package does not provide for requirements
--> Finished Dependency Resolution

Error: Package: vdsm-xmlrpc-4.13.2-1.fc19.noarch (ovirt-3.3.2)
           Requires: vdsm-python-cpopen
           Available: python-cpopen-1.3-1.fc19.x86_64 (updates)
               vdsm-python-cpopen = 4.13.2
           Available: vdsm-python-cpopen-4.12.1-2.fc19.i686 (ovirt-stable)
               vdsm-python-cpopen = 4.12.1-2.fc19
           Available: vdsm-python-cpopen-4.12.1-4.fc19.i686 (ovirt-stable)
               vdsm-python-cpopen = 4.12.1-4.fc19
           Available: vdsm-python-cpopen-4.13.0-9.fc19.i686 (ovirt-stable)
               vdsm-python-cpopen = 4.13.0-9.fc19
           Available: vdsm-python-cpopen-4.13.0-11.fc19.i686 (ovirt-stable)
               vdsm-python-cpopen = 4.13.0-11.fc19
           Available: vdsm-python-cpopen-4.13.2-1.fc19.i686 (ovirt-3.3.2)
               vdsm-python-cpopen = 4.13.2-1.fc19
 You could try using --skip-broken to work around the problem

Comment 1 Fedora End Of Life 2015-01-09 21:08:02 UTC
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 2 Yaniv Bronhaim 2015-01-10 10:48:32 UTC
To workaround with this issue please remove vdsm-python-cpopen before installing newer vdsm package.


Note You need to log in before you can comment on or make changes to this bug.